Google embraces open source for 10th year of Summer of Code
================================================================================
For many, open source is believed to be the future. If you aren't familiar, in basic terms, open source is software that is accompanied by free to distribute source code. By having the source code, users can see the guts of the program they are using. This is in contrast to closed source software, like most of Microsoft's, where the code is hidden to retain intellectual property and make a profit.

![](http://betanews.com/wp-content/uploads/2014/03/open-source-300x270.jpeg)

Neither school of thought is wrong -- you can't fault a company for trying to make money by going closed source. Bill Gates would not have become the richest man in the world if Microsoft's software portfolio was open. However, not everyone lives for money. Open source allows even the poorest people to potentially access quality software at no charge. Today, Google announces it is looking for college students to work on open source projects for its 10th year of Summer of Code.

What exactly is Summer of Code? Google gives the following description:

> Google Summer of Code is a global program that offers post-secondary student developers ages 18 and older stipends to write code for various open source software projects. We have worked with open source, free software, and technology-related groups to identify and fund projects over a three month period. Since its inception in 2005, the program has brought together over 7,500 successful student participants and over 7,000 mentors from over 100 countries worldwide to produce over 50 million lines of code. Through Google Summer of Code, accepted student applicants are paired with a mentor or mentors from the participating projects, thus gaining exposure to real-world software development scenarios and the opportunity for employment in areas related to their academic pursuits. In turn, the participating projects are able to more easily identify and bring in new developers. Best of all, more source code is created and released for the use and benefit of all.

"If you're a university student looking to earn real-world experience this summer, we hope you’ll consider coding for a cool open source project with Google Summer of Code. We're celebrating the 10th year of the program in 2014, and we’d love to see more student applicants than ever before. In 2013 we accepted almost 1,200 students and we’re planning to accept 10 percent more this year", [says][1] Carol Smith, Google Open Source team.

Smith further says, "you can submit proposals on our website starting now through Friday, March 21 at 12:00pm PDT. Get started by reviewing the ideas pages of the 190 open source projects in this year's program, and decide which projects you're interested in. There are a limited number of spots, and writing a great project proposal is essential to being selected to the program -- so be sure to check out the [Student Manual][2] for advice".

Google has been using Linux in both Android and Chromebooks, so it is nice to see the search-giant giving back to the open source community. This gives college students an opportunity to make a name for themselves by creating or working on an epic piece of open source software. Even if the software doesn't light the world on fire, at least they tried and learned something.

Are you a college student? Will you sign up? Tell me in the comments.

--------------------------------------------------------------------------------

via: http://betanews.com/2014/03/10/google-embraces-open-source-for-10th-year-of-summer-of-code/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://googleblog.blogspot.com/2014/03/get-with-program-open-source-coding.html
[2]:http://en.flossmanuals.net/GSoCStudentGuide/