Moving a city to Linux requires political backing, says Munich project leader
================================================================================
> Munich city authority has migrated almost 15,000 PCs from Windows NT to its own Linux distribution

IDG News Service - This year saw the completion of the city of Munich's switch to Linux, a move that began about ten years ago. "One of the biggest lessons learned was that you can't do such a project without continued political backing," said Peter Hofmann, the leader of the LiMux project, summing up the experience.

The Munich city authority migrated around 14,800 of the 15,000 or so PCs on its network to LiMux, its own Linux distribution based on Ubuntu, exceeding its initial goal of migrating 12,000 desktops.

Munich decided to migrate its IT systems when Microsoft said it planned to discontinue support for the operating system the city then relied on, Windows NT 4.0. The city was forced to choose between moving to a newer version of Windows, or finding an alternative platform, as new software and new versions of existing software would not be available on Windows NT. The city council decided to go with Linux to become more independent from software vendors.

Continued political backing was key to the success of the migration, said Hofmann.

"We had it from the start and it never failed. We had to treat our politicians as stakeholders and keep them informed," he said.

By doing this, the politicians never lost interest and always knew what the people involved in the project were doing, he said. "I saw a lot of other open source projects going down the sink," because they didn't have that backing, or lost it, he said.

It took the city about 10 years from the first decision to switch through to completion of the LiMux project, which was originally scheduled for completion in 2009. However, there were several delays along the way.

First, the migration started a year later than originally planned, said Hofmann. The second delay was caused in 2007 when the city council decided that Munich's IT department should also be responsible for the standardization of the infrastructure that is necessary for Linux clients, he said. Munich however didn't have the right processes nor the right organization for that kind of standardization, he said.

The project was delayed for a third time in 2010, when the city council decided to enlarge the project, said Hofmann. Goals were added to develop three additional processes within the project: risk management, test management and requirement engineering.

Despite the difficulties, Hofmann said he would do it again tomorrow.

The heterogenous infrastructure of Munich's IT organization was one of the projects biggest problems, Hofmann said. When the project started there were 22 organizations that each had their own individual configuration, software, hardware, processes and knowledge for their Windows clients and the accompanying infrastructure they were using, he said. "We wanted to have a standardized, centrally delivered and developed Linux client," he said.

While Hofmann expected the splintered infrastructure to cause problems, standardizing the clients proved harder than he expected, for both technical and organizational reasons.

Luckily, he had the freedom to rebuild the whole of the city's IT infrastructure.

"Anyone planning to switch needs to be prepared to rethink their entire IT organization. Switching to Linux is more than saving costs and using free software," he added.

Munich's switch did save money though. In November 2012, responding to a question from a council member, the city calculated that migrating to LiMux instead of modernizing its existing Microsoft software [would save it over a!11 million][1].

That calculation compared the LiMux option with a switch to either Windows 7 and Microsoft Office or Windows 7 and OpenOffice, the productivity suite Munich chose for LiMux. It included necessary hardware upgrades, training, external migration support and optimization processes, among other things. Both Windows options were significantly more expensive than LiMux, mainly due to Microsoft's software licensing fees.

One expense Hofmann said he doesn't have with LiMux is support contracts. "What do you need a support contract for? You really get no support, you get new versions. The only reason you need it is because your lawyers tell you so they can have someone to blame if it is failing. We no longer blame anyone, we try to fix it," he said.

If Munich's IT staff can't fix a bug themselves, they will find a specialist to solve the specific bug, Hofmann said. "You no longer rely on some vendor or some service that you buy. You rely on yourself and what you know," he said.

There are still complaints though. Word and Excel documents received from external organizations sometimes have to be modified and sent back, which can lead to difficulties with interoperability, he said. The city is trying to convince its correspondents to use ODF, the file format of OpenOffice, or PDF for documents that don't need to be changed, Hofmann said, adding that the city has helped finance development of interoperability tools.

As part of its switch to OpenOffice, however, the city implemented WollMux, an office extension for templates and forms, that was published as free software 2008 and is now used by a handful of other organizations, he said.

There were other obstacles to the elimination of Microsoft Office -- including the city's reliance on over a thousand Microsoft Office and Visual Basic macros in its in-house applications, Hofmann said.

Now there are around 100 such macros still in use on the few remaining Windows PCs.

"It never was our goal to eliminate Windows as a whole," he said, although the city has gone well beyond its initial target of migrating 80 percent of its PCs.

The financial department, for instance, still has three Windows PCs running special banking software. To switch that department to LiMux the city would have had to pay the software vendor to develop a Linux version of its application for the three PCs, Hofmann said.

The city faced a similar problem in its dealings with the Bundesdruckerei, the German authority that prints passports. It mandates the use of a Windows application to transmit the data required to personalize the passports, he said.

While Hofmann can look confidently to the city's future, he recognizes that switching to Linux is not for everyone. Yet even those who don't want to switch can still profit from the city's experience: "Some guy once told me, 'Since you started your project I can negotiate with Microsoft.'"

--------------------------------------------------------------------------------

via: http://www.computerworld.com/s/article/9245353/Moving_a_city_to_Linux_requires_political_backing_says_Munich_project_leader?taxonomyId=122

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.itworld.com/operating-systems/321474/switching-linux-saves-munich-over-11-million