What is good video editing software on Linux?
================================================================================
A video editor allows you to handle various post-production video editing jobs which typically involve arranging, cutting, pasting, trimming, and otherwise enhancing (e.g., adding effects to) video clips through the timeline interface. In modern video editing software, things like multi-codec import/transcoding, non-linear video editing, or even HD video support are pretty much standard nowadays.

In this post, I am going to show **11 popular video editing software available on Linux**. I will not cover subjective merits such as usability or interface design, but instead highlight notable features of each video editor. If you have tried any particular video editor listed here, feel free to share your experience or opinion.

### 1. Avidemux ###

![](http://farm8.staticflickr.com/7452/12867967445_9848544802_z.jpg)

- License: GNU GPL
- Cross-platform (Linux, BSD, MacOS X, Windows)
- Supports both GUI and command-line modes
- Support for JavaScript (thanks to SpiderMonky JavaScript engine)
- Built-in subtitle processing
- Official website: [http://fixounet.free.fr/avidemux][1]

### 2. Blender ###

![](http://farm3.staticflickr.com/2038/12960698134_74c974064c_z.jpg)

- License: GNU GPL v3+
- Cross-platform (Linux, BSD, MacOS X, Windows)
- Specialized in creating 3D modeling and animation
- Support for image/video compositing
- Video/audio effects and transitions
- Official website: [http://www.blender.org][2]

### 3. Cinelerra-CV ###

![](http://farm3.staticflickr.com/2867/12867966335_9dd6032d43_z.jpg)

- License: GNU GPL
- Community edition of Cinelerra video editor
- Support for video compositing
- Drag and drop files from file manager
- OpenGL-driven GPU acceleration for video playback
- Video/audio effects and transitions
- Direct capture from camcorders
- Cross-platform (Linux and Windows)
- Official website: [http://cinelerra.org][3]

### 4. Flowblade ###

![](http://farm8.staticflickr.com/7384/12868043903_55798d69dc_z.jpg)

- License: GNU GPL v3
- Support for multiple file types based on FFmpeg
- Drag and drop files from file manager
- Support for video and image compositing
- Image and audio effects
- Automatic clip placement on the timeline
- Official website: [https://code.google.com/p/flowblade/][4]

### 5. Jahshaka ###

![](http://farm4.staticflickr.com/3675/12867967135_465d74cbd0_z.jpg)

- License: GNU GPL
- Cross-platform (Linux, MacOS X, Windows)
- Support for 2D/3D animation effects and video composting
- Support for collaborative editing (e.g., editing server and centralized database)
- Media/asset management
- GPU based effects
- Official website: [http://www.jahshaka.com][5]

### 6. Kdenlive ###

![](http://farm3.staticflickr.com/2828/12868395504_828564d3d4_z.jpg)

- License: GNU GPL v2+
- Video editor for the KDE desktop
- Support for multiple file types based on FFmpeg
- Video/audio effects and transitions
- Ability ot mix video, audio and still images from different sources
- Video capture from cameras, webcams, Video4Linux devices or X11 screen
- Export to Internet video sharing sites such as YouTube, Dailymotion or Vimeo
- Official website: [http://www.kdenlive.org][6]

### 7. Lightworks ###

![](http://farm8.staticflickr.com/7437/12868546774_368f267995_z.jpg)

- License: Freemium
- Cross-platform (Linux, BSD, MacOS X, Windows)
- Multi-language support
- GPU-accelerated real-time video effects and composting
- Official website: [http://www.lwks.com][7]

### 8.LiVES ###

![](http://farm8.staticflickr.com/7370/12868043753_ea9aaf4a97_z.jpg)

- License: GNU GPL
- Cross-platform (Linux, BSD, MacOS X, Solaris)
- Multi video formats via mplayer
- Extendable video/audio effects via plugins
- Support for remote control via OSC protocol
- Video capture from FireWire cameras and TV cards
- Lossless backup and crash recovery
- Support for clip import from YouTube
- Official website: [http://lives.sourceforge.net][8]

### 9. OpenShot ###

![](http://farm4.staticflickr.com/3674/12868395634_f33d7545b8_z.jpg)

- License: GNU GPL v3
- Support for multiple file types based on FFmpeg
- Drag and drop files from file manager
- Support for 2D titles (thanks to Inkscape) and 3D-animated titles (thanks to Blender)
- Digital zooming
- Animated video transition with preview
- Support for video compositing and watermark images
- Scrolling eding credits or texts
- Official website: [http://www.openshot.org][9]

### 10. Pitivi ###

![](http://farm8.staticflickr.com/7399/12868396354_d9796a378c_z.jpg)

- License: GNU LGPL
- Video import, conversion and rendering powered by GStreamer Editing Service
- Video/audio effects and transitions
- Support for keyframes and video compositing
- Detachable UI
- Multi-language support (thanks to GNOME integration)
- Official website: [http://www.pitivi.org][10]

### 11. Shotcut ###

![](http://farm4.staticflickr.com/3671/12867967295_7b3e5671ce_z.jpg)

- License: GNU GPL
- Cross-platform (Linux, MacOS X, Windows)
- Support for multiple file types based on FFmpeg
- Customizable UI via dockable panels
- Multi-format timeline (e.g., with different resolutions and frame rates)
- Video capture from webcam, HDMI, IP streams and X11 screen
- Drag and drop files from file manager
- GPU-assisted image processing with OpenGL
- Official website: [http://www.shotcut.org][11]

--------------------------------------------------------------------------------

via: http://xmodulo.com/2014/03/good-video-editing-software-linux.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://fixounet.free.fr/avidemux/
[2]:http://www.blender.org/
[3]:http://cinelerra.org/
[4]:https://code.google.com/p/flowblade/
[5]:http://www.jahshaka.com/
[6]:http://www.kdenlive.org/
[7]:http://www.lwks.com/
[8]:http://lives.sourceforge.net/
[9]:http://www.openshot.org/
[10]:http://www.pitivi.org/
[11]:http://www.shotcut.org/